Subject: bug#408: lightdm-gtk-greeter-settings modifies lightdm-gtk-greeter.conf-devuan-cinnabar

From: Joril <[email-masked]>
Date: Sat, 14 Mar 2020 14:52:03 +0100

On Sat, 14 Mar 2020 12:56:38 +0000
Mark Hindley <[email-masked]> wrote:

> > So you end up losing the original lightdm-gtk-greeter.conf-devuan-cinnabar.
> 
> I am not sure what you expect ot happen here?
> 
> If you edit the settings with this tool, files in /etc/lightdm will be
> changed. If you need to restore, you can always reinstall.
> 
> Or am I missing something or misunderstanding you?

Hi Mark,

Well of course this is a very minor bug or not a bug at all, but it seemed strange to me that lightdm-gtk-greeter.conf is handled via the "alternatives" system, so I thought it wasn't expected to be modified by other tools.
In other words, that lightdm-gtk-greeter.conf-devuan-cinnabar was expected to be left alone, while lightdm-gtk-greeter-settings should have created a new alternative to be modified.
Very minor stuff, as I said :)